- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - ObjectName
  - PostLoadValidate
  - Panes
  - Portlets
  - Dashboards
  - Searches
  - ShowSearchName Portlet
  - PossibleHiddenSearches
  - Subscription
  - Delete

# NAME

      RT::Dashboard - an API for saving and retrieving dashboards

# SYNOPSIS

      use RT::Dashboard

# DESCRIPTION

      Dashboard is an object that can belong to either an RT::User or an
      RT::Group.  It consists of an ID, a name, and a number of
      saved searches and portlets.

# METHODS

## ObjectName

An object of this class is called "dashboard"

## PostLoadValidate

Ensure that the ID corresponds to an actual dashboard object, since it's all attributes under the hood.

## Panes

Returns a hashref of pane name to portlets

## Portlets

Returns the list of this dashboard's portlets, each a hashref with key `portlet_type` being `search` or `component`.

## Dashboards

Returns a list of loaded sub-dashboards

## Searches

Returns a list of loaded saved searches

## ShowSearchName Portlet

Returns an array for one saved search, suitable for passing to /Elements/ShowSearch.

## PossibleHiddenSearches

This will return a list of saved searches that are potentially not visible by all users for whom the dashboard is visible. You may pass in a privacy to use instead of the dashboard's privacy.

## Subscription

Returns the RT::Attribute representing the current user's subscription to this dashboard if there is one; otherwise, returns `undef`.

## Delete

Deletes the dashboard and related subscriptions. Returns a tuple of status and message, where status is true upon success.

← Back to index